=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,8 @@
 ecm_qt_declare_logging_category(KActivitiesStats_LIB_SRCS
     HEADER kactivities-stats-logsettings.h
     IDENTIFIER KACTIVITIES_STATS_LOG
-    CATEGORY_NAME kf5.kactivity.stat
+    CATEGORY_NAME kf.activitiesstats
+    OLD_CATEGORY_NAMES kf5.kactivity.stat
     DESCRIPTION "KActivities Stats"
     EXPORT KACTIVITIES_STATS
 )
@@ -48,7 +49,6 @@
 
 include_directories (
    ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src
-   ${Boost_INCLUDE_DIR}
    )
 
 set_target_properties (
@@ -64,6 +64,7 @@
    PUBLIC
       Qt5::Core
    PRIVATE
+      Boost::boost
       Qt5::DBus
       Qt5::Sql
       KF5::Activities
