=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
+               libkf5activities-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),
                qtdeclarative5-dev,
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kactivities-stats
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
@@ -29,7 +29,7 @@
 Architecture: any
 Depends: libkf5activitiesstats1 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5activitiesstats-doc (= ${source:Version})
 Description: development files for kactivities-stats.
  A library for accessing the usage data collected by the activities system.
