=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
+               libkf5activities-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),
