## kactivities-stats 5.92.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.78.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
-project (KActivitiesStats VERSION ${KF5_VERSION})
+set(KF_VERSION "5.92.0") # handled by release scripts
+set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+project (KActivitiesStats VERSION ${KF_VERSION})
 
-set (REQUIRED_QT_VERSION 5.14.0)
+set (REQUIRED_QT_VERSION 5.15.2)
 
 # We don't build in-source
 if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
@@ -20,7 +20,7 @@
 
 # Extra CMake stuff
 include (FeatureSummary)
-find_package (ECM 5.78.0  NO_MODULE)
+find_package (ECM 5.92.0  NO_MODULE)
 set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -28,27 +28,27 @@
 
 include (KDEInstallDirs)
 include (KDECMakeSettings)
+include(KDEGitCommitHooks)
 include (KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include (GenerateExportHeader)
 include (ECMGenerateHeaders)
+include (ECMGeneratePkgConfigFile)
 include (ECMAddQch)
 include (ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 # Qt
 set (CMAKE_AUTOMOC ON)
-find_package (Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Sql)
+find_package (Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Sql)
 
 # KDE Frameworks
-# find_package (KF5DBusAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
-# find_package (KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)
-find_package (KF5Config ${KF5_DEP_VERSION} CONFIG REQUIRED)
-find_package (KF5Activities ${KF5_DEP_VERSION} CONFIG REQUIRED)
-
-set(Boost_NO_BOOST_CMAKE ON)
-find_package (Boost 1.49 REQUIRED)
+# find_package (KF5DBusAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
+# find_package (KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
+find_package (KF5Config ${KF_DEP_VERSION} CONFIG REQUIRED)
+find_package (KF5Activities ${KF_DEP_VERSION} CONFIG REQUIRED)
 
 # Basic includes
 include (CPack)
@@ -65,9 +65,7 @@
    )
 
 # add_definitions (-DTRANSLATION_DOMAIN=\"kactivitiesstats5\")
-# if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
-#     ki18n_install (po)
-# endif ()
+# ki18n_install (po)
 
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_VISIBILITY_PRESET default)
@@ -83,13 +81,19 @@
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfigVersion.cmake"
    SOVERSION 1
    )
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.90.0
+)
+
 
 add_subdirectory (src)
 if(BUILD_TESTING)
-  add_subdirectory (autotests)
+  set(Boost_NO_BOOST_CMAKE ON)
+  find_package (Boost 1.49)
+  if (Boost_FOUND)
+    add_subdirectory (autotests)
+  endif ()
   add_subdirectory (tests)
 endif (BUILD_TESTING)
 
@@ -116,7 +120,6 @@
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5ActivitiesStatsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
-   PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
    )
 
 install (
@@ -128,8 +131,10 @@
 
 install (
    FILES ${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_version.h
-   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
+   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KActivitiesStats COMPONENT Devel
    )
 
 # Write out the features
 feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
