=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kactivities-stats
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
+               extra-cmake-modules (>= 5.92.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.86.0~),
-               libkf5config-dev (>= 5.86.0~),
+               libkf5activities-dev (>= 5.92.0~),
+               libkf5config-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kactivities-stats
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
 Rules-Requires-Root: no
 
 Package: libkf5activitiesstats-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5activitiesstats1 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5activitiesstats-doc (= ${source:Version})
 Description: development files for kactivities-stats.
