## kactivities-stats 5.101.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.101.0") # handled by release scripts
+set(KF_DEP_VERSION "5.101.0") # handled by release scripts
 project (KActivitiesStats VERSION ${KF_VERSION})
 
 set (REQUIRED_QT_VERSION 5.15.2)
@@ -20,7 +20,7 @@
 
 # Extra CMake stuff
 include (FeatureSummary)
-find_package (ECM 5.92.0  NO_MODULE)
+find_package (ECM 5.101.0  NO_MODULE)
 set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -49,6 +49,7 @@
 # find_package (KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
 find_package (KF5Config ${KF_DEP_VERSION} CONFIG REQUIRED)
 find_package (KF5Activities ${KF_DEP_VERSION} CONFIG REQUIRED)
+find_package(Threads REQUIRED)
 
 # Basic includes
 include (CPack)
@@ -83,7 +84,7 @@
    )
 ecm_set_disabled_deprecation_versions(
     QT 5.15.2
-    KF 5.90.0
+    KF 5.95.0
 )
