=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: kactivities-stats
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.101.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
+               libkf5activities-dev (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kactivities-stats
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git
 Rules-Requires-Root: no
 
 Package: libkf5activitiesstats-dev
